Get safety settings
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Safety Events & Scores under the Safety & Cameras category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/settings/safety \
--header 'Authorization: Bearer <token>'{
"data": [
{
"defaultVehicleType": "heavyDuty",
"distractedDrivingDetectionAlerts": {
"inattentiveDrivingDetectionAlerts": {
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"severity": "low",
"speedingThresholdMph": 10
},
"isEnabled": true,
"mobileUsageDetectionAlerts": {
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"speedingThresholdMph": 5
}
},
"followingDistanceDetectionAlerts": {
"durationMs": 15000,
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"speedingThresholdMph": 35
},
"forwardCollisionDetectionAlerts": {
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"sensitivity": "near"
},
"harshEventSensitivity": {
"harshAccelSensitivityGForce": {
"heavyDuty": "0.29",
"lightDuty": "0.33",
"passenger": "0.43"
},
"harshBrakeSensitivityGForce": {
"heavyDuty": "0.29",
"lightDuty": "0.33",
"passenger": "0.43"
},
"harshTurnSensitivityGForce": {
"heavyDuty": "0.29",
"lightDuty": "0.33",
"passenger": "0.43"
}
},
"harshEventSensitivityV2": {
"harshAccelSensitivity": {
"heavyDuty": "normal",
"lightDuty": "normal",
"passenger": "normal"
},
"harshBrakeSensitivity": {
"heavyDuty": "normal",
"lightDuty": "normal",
"passenger": "normal"
},
"harshTurnSensitivity": {
"heavyDuty": "normal",
"lightDuty": "normal",
"passenger": "normal"
}
},
"policyViolationsDetectionAlerts": {
"eventsAvailableForTesting": [
"smoking",
"eatingDrinking"
],
"eventsToCoach": [
"noSeatbelt",
"noMask"
],
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"speedingThresholdMph": 5
},
"rollingStopDetectionAlerts": {
"isEnabled": true,
"speedingThresholdMph": 0
},
"safetyScoreConfiguration": {
"aiInattentiveDrivingDetectionWeight": 2,
"crashWeight": 1,
"defensiveDrivingWeight": 0,
"didNotYieldWeight": 0,
"drowsyWeight": 0,
"eatingDrinkingWeight": 0,
"followingDistanceModerateWeight": 0,
"followingDistanceSevereWeight": 0,
"followingDistanceWeight": 2,
"forwardCollisionWarningWeight": 0,
"harshAccelWeight": 1,
"harshBrakeWeight": 1,
"harshTurnWeight": 1,
"heavySpeedingWeight": 1,
"inattentiveDrivingWeight": 0,
"laneDepartureWeight": 0,
"lateResponseWeight": 0,
"lightSpeedingWeight": 0,
"maxSpeedWeight": 1,
"mobileUsageWeight": 0,
"moderateSpeedingWeight": 1,
"nearCollisionWeight": 0,
"noSeatbeltWeight": 0,
"obstructedCameraWeight": 0,
"ranRedLightWeight": 0,
"rollingStopWeight": 0,
"severeSpeedingWeight": 1,
"smokingWeight": 0,
"speedingWeight": 0,
"vulnerableRoadUserWeight": 0
},
"safetyScoreTarget": 90,
"speedingSettings": {
"severityLevels": [
{
"durationMs": 60,
"isEnabled": true,
"severityLevel": "light",
"speedOverLimitThreshold": 10
}
],
"unit": "milesPerHour"
},
"voiceCoaching": {
"eventsToCoach": [
"crash",
"inCabSpeeding",
"maximumSpeed"
],
"isEnabled": true,
"language": "english",
"speedingThresholdMph": 10
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.samsara.com/fleet/settings/safety \
--header 'Authorization: Bearer <token>'{
"data": [
{
"defaultVehicleType": "heavyDuty",
"distractedDrivingDetectionAlerts": {
"inattentiveDrivingDetectionAlerts": {
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"severity": "low",
"speedingThresholdMph": 10
},
"isEnabled": true,
"mobileUsageDetectionAlerts": {
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"speedingThresholdMph": 5
}
},
"followingDistanceDetectionAlerts": {
"durationMs": 15000,
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"speedingThresholdMph": 35
},
"forwardCollisionDetectionAlerts": {
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"sensitivity": "near"
},
"harshEventSensitivity": {
"harshAccelSensitivityGForce": {
"heavyDuty": "0.29",
"lightDuty": "0.33",
"passenger": "0.43"
},
"harshBrakeSensitivityGForce": {
"heavyDuty": "0.29",
"lightDuty": "0.33",
"passenger": "0.43"
},
"harshTurnSensitivityGForce": {
"heavyDuty": "0.29",
"lightDuty": "0.33",
"passenger": "0.43"
}
},
"harshEventSensitivityV2": {
"harshAccelSensitivity": {
"heavyDuty": "normal",
"lightDuty": "normal",
"passenger": "normal"
},
"harshBrakeSensitivity": {
"heavyDuty": "normal",
"lightDuty": "normal",
"passenger": "normal"
},
"harshTurnSensitivity": {
"heavyDuty": "normal",
"lightDuty": "normal",
"passenger": "normal"
}
},
"policyViolationsDetectionAlerts": {
"eventsAvailableForTesting": [
"smoking",
"eatingDrinking"
],
"eventsToCoach": [
"noSeatbelt",
"noMask"
],
"hasInCabAudioAlertsEnabled": true,
"isEnabled": true,
"speedingThresholdMph": 5
},
"rollingStopDetectionAlerts": {
"isEnabled": true,
"speedingThresholdMph": 0
},
"safetyScoreConfiguration": {
"aiInattentiveDrivingDetectionWeight": 2,
"crashWeight": 1,
"defensiveDrivingWeight": 0,
"didNotYieldWeight": 0,
"drowsyWeight": 0,
"eatingDrinkingWeight": 0,
"followingDistanceModerateWeight": 0,
"followingDistanceSevereWeight": 0,
"followingDistanceWeight": 2,
"forwardCollisionWarningWeight": 0,
"harshAccelWeight": 1,
"harshBrakeWeight": 1,
"harshTurnWeight": 1,
"heavySpeedingWeight": 1,
"inattentiveDrivingWeight": 0,
"laneDepartureWeight": 0,
"lateResponseWeight": 0,
"lightSpeedingWeight": 0,
"maxSpeedWeight": 1,
"mobileUsageWeight": 0,
"moderateSpeedingWeight": 1,
"nearCollisionWeight": 0,
"noSeatbeltWeight": 0,
"obstructedCameraWeight": 0,
"ranRedLightWeight": 0,
"rollingStopWeight": 0,
"severeSpeedingWeight": 1,
"smokingWeight": 0,
"speedingWeight": 0,
"vulnerableRoadUserWeight": 0
},
"safetyScoreTarget": 90,
"speedingSettings": {
"severityLevels": [
{
"durationMs": 60,
"isEnabled": true,
"severityLevel": "light",
"speedOverLimitThreshold": 10
}
],
"unit": "milesPerHour"
},
"voiceCoaching": {
"eventsToCoach": [
"crash",
"inCabSpeeding",
"maximumSpeed"
],
"isEnabled": true,
"language": "english",
"speedingThresholdMph": 10
}
}
]
}